Subject: Re: bug#25488: 25.1; gdb package interpreter problem

From: Stefan Kangas <[email-masked]>
Date: Sun, 15 Sep 2019 03:21:20 +0200

Sergio Durigan Junior <[email-masked]> writes:

> On Friday, January 20 2017, Glenn Morris wrote:
>
>>> 1. configure remote system by running "gdbserver --multi localhost:<port>"
>>>
>>> 2. on host system, run emacs, then "M-x gdb <ret> -i=mi"
>>>
>>> 3. at the gdb prompt:
>>>
>>>   file <path-to-exe>
>>>   target extended-remote <remote-host-ip-addr>:<port>
>>>   set remote exec-file <path-to-exe>
>>>   start
>>>
>>> 4.on the remote side, note the message:
>>>
>>>   "Cannot exec <path-to-exe> : No such file or directory."
>>>
>>> specifically, note the space between "<path-to-exe>" and ":", which
>>> should not be there. this is the extraneous space.
>>
>>
>> Confirmed on rhel 7.
>>
>> This seems to be due to the " " in:
>>
>> (concat gdb-continuation string " ")
>>
>> in gdb-send, which was added in bug#14847. I've cc'd the author of that change.
>
> Heh, I helped the reporter diagnose this issue, and as it turns out I
> was the culprit!
>
> Thanks for the report, I'll take a look at this later today.

Hi Sergio,

I see that the latest update here was in January 2017.  Did you ever get
a chance to look into this issue?

Best regards,
Stefan Kangas